% Test Real GMM 3.m
clear
global P ERROR_SERIES INSTRUMENTS;
load('C:\Documents and Settings\h1research\Desktop\fDATA3')
f = [];
for n = 1:110,
    ERROR_SERIES = fDATA(n).e;
    INST = fDATA(n).X;

    ind1 = logical(1-isnan(ERROR_SERIES));
    ind2 = logical(1-isnan(INST));
    indall = [ind1, ind2];
    indOK = all(indall,2);
    
    flagg = sum(indOK);
    f = [f; flagg];
    if flagg >= 80
        ERROR_SERIES = ERROR_SERIES(indOK,:);
        INST = INST(indOK,:);

        % expresses forecast errors back in real numbers (as opposed to percentages)
        ERROR_SERIES = ERROR_SERIES/100;

        [inst] = shapeinst3(INST);

        for i = 1:10
            INSTRUMENTS = inst(i).X;
            % Estimation with P fixed!!!
            for p = 1:2;
                P = 1.0 + p * 0.1;
                disp(['iteration ',num2str(n),' ',num2str(i),' ',num2str(P)])
                [xx1 xx2] = gmm_multi3ik(ERROR_SERIES,INSTRUMENTS,P);
                results1(n,i,p) = xx1;
                results2(n,i,p) = xx2;
            end,
        end,
    end
end,

save('C:\Documents and Settings\research\Desktop\GMM\res_80_110_newtests','results1','results2','fDATA')