function WT = WeightWT_2Test(q,par,s);
% WEIGHT_WT_2.M        Version I.K. - 22/12/06
% This function is called by the objective function OBJ_FCT_GMM_MULTI_2
% Notations : Hamilton, ch 14
global P ERROR_SERIES INSTRUMENTS ERROR_SERIES1 INSTRUMENTS1 ERROR_SERIES2 INSTRUMENTS2;

% Now at m = 0 out of q
gama0T = GamaM_2Test(0,par,s);
ST = gama0T;
m = 1;
while m <= q        % implementing eq 14.1.19 
    % Now at m out of q
%     m
    gamaMT = GamaM_2Test(m,par,s);
    ST = ST + (1-m/(q+1))*(gamaMT+gamaMT');
    m = m+1;
end
WT = inv(ST);
