function [res] = gmm_multi3(ERROR_SERIES,INSTRUMENTS,P)
% Checking the validity of instruments
res.dd = det(INSTRUMENTS'*INSTRUMENTS/size(INSTRUMENTS,1));
% % true process
% U = randn(110,2);
% ERROR_SERIES = U(3:102,:);      % size is 100 x 2
% INSTRUMENTS = [ones(100,1), U(2:101,:), U(1:100,:)];    % size is 100 x 5
% estimation
par0 = [0.5; 0.5; 0.5]; % starting values are the true values
[parGMM_2, fGMM_2, retcodeGMM_2,parGMM_1, fGMM_1, retcodeGMM_1] = GMMmultiloss3(par0);
res.alfa_1 = parGMM_1(end,:);
J1 = size(ERROR_SERIES,1)*fGMM_1;
res.Jtest_1 = J1;
disp(J1(end,1))
res.alfa_2 = parGMM_2(end,:);
J2 = size(ERROR_SERIES,1)*fGMM_2;
res.Jtest_2 =J2;
disp(J2(end,1));
nn = size(INSTRUMENTS,2)
cval90 = chi2inv(0.90,nn-3)
cval95 = chi2inv(0.95,nn-3)
cval99 = chi2inv(0.99,nn-3)
res.test_res90_1 = (res.Jtest_1(end,1)<=cval90);
res.test_res95_1 = (res.Jtest_1(end,1)<=cval95);
res.test_res99_1 = (res.Jtest_1(end,1)<=cval99);
res.test_res90_2 = (res.Jtest_2(end,1)<=cval90);
res.test_res95_2 = (res.Jtest_2(end,1)<=cval95);
res.test_res99_2 = (res.Jtest_2(end,1)<=cval99);