function deltaf_sigma=partial_effects(ERROR_SERIES,REALIZED_SERIES,p,alpha);

[sens sensy]=sensitivities(ERROR_SERIES,REALIZED_SERIES,p,alpha);

% Columns are organized as the effect of changes in y1 on f2; y1 on f3; y2
% on f1; y2 on f3; y3 on f1; y3 on f2
% Structure of deltaf growth, inflation, unemployment
%    [y1f1 y1f1 y2f2 y2f2 y3f3 y3f3;
%    y1f2 y1f3 y2f1 y2f3 y3f1 y3f2]

deltaf=[(sens(2,2)*sensy(1,1)-sens(1,2)*sensy(1,2)) (sens(3,3)*sensy(1,1)-sens(1,3)*sensy(1,3)) (sens(1,1)*sensy(2,2)-sens(2,1)*sensy(2,1))  (sens(3,3)*sensy(2,2)-sens(2,3)*sensy(2,3))   (sens(1,1)*sensy(3,3)-sens(3,1)*sensy(3,1))  (sens(2,2)*sensy(3,3)-sens(3,2)*sensy(3,2));
           (sens(1,1)*sensy(1,2)-sens(1,2)*sensy(1,1))   (sens(1,1)*sensy(1,3)-sens(1,3)*sensy(1,1))  (sens(2,2)*sensy(2,1)-sens(2,1)*sensy(2,2)) (sens(3,3)*sensy(2,3)-sens(2,3)*sensy(2,2))  (sens(3,3)*sensy(3,1)-sens(3,1)*sensy(3,3)) (sens(3,3)*sensy(3,2)-sens(3,2)*sensy(3,3))];
     
       % Dividing vector
     det_Esigma=  [(sens(2,2)*sens(1,1)-sens(1,2)^2) (sens(3,3)*sens(1,1)-sens(1,3)^2)...
           (sens(2,2)*sens(1,1)-sens(1,2)^2) (sens(3,3)*sens(2,2)-sens(2,3)^2)...
           (sens(3,3)*sens(1,1)-sens(1,3)^2) (sens(3,3)*sens(2,2)-sens(2,3)^2)];
       deltaf_sigma=deltaf./repmat(det_Esigma,2,1);