% 
function [sens sensy]=sensitivities(ERROR_SERIES,REALIZED_SERIES,p,alpha);
%alpha=xx1.alfa_2;
T = size(ERROR_SERIES,1);
N = size(ERROR_SERIES,2);

tau = 2*alpha - 1;

nu_p = [];
nu_ptau = [];
norm_p=[];
for i=1:1:N
    nu_p = [nu_p, (sign(ERROR_SERIES(:,i))).*(abs(ERROR_SERIES(:,i)).^(p-1))];
   norm_p=[norm_p,(abs(ERROR_SERIES(:,i)))];
    if i>1
         % Order of nu_ptau (tau(2)e(1),tau(3)e(1),tau(1)e(2), tau(3)e(2),
         % tau(1)e(3),tau(2)e(3))
    for j=[1:i-1,i+1:N]
       
    nu_ptau=[nu_ptau, tau(j)*(sign(ERROR_SERIES(:,i))).*(abs(ERROR_SERIES(:,i)).^(p-1))];
    end
    elseif i==1
    for j=[2:N]
      
    nu_ptau=[nu_ptau, tau(j)*(sign(ERROR_SERIES(:,i))).*(abs(ERROR_SERIES(:,i)).^(p-1))];
    end
    end
end


norm_ep = (sum((abs(ERROR_SERIES)).^(p*ones(T,N)),2)).^(1/p*ones(T,1));

taue=((ERROR_SERIES*tau'./norm_ep));


sens(1,2)=(p-1)*T^(-1)*sum((nu_ptau(:,3)+nu_ptau(:,1))./norm_ep-taue.*nu_p(:,1).*nu_p(:,2)./norm_ep.^p);
sensy(1,2)=(p-1)*T^(-1)*sum(((nu_ptau(:,3)+nu_ptau(:,1))./norm_ep-taue.*nu_p(:,1).*nu_p(:,2)./norm_ep.^p).*REALIZED_SERIES(:,1));
sensy(2,1)=(p-1)*T^(-1)*sum(((nu_ptau(:,3)+nu_ptau(:,1))./norm_ep-taue.*nu_p(:,1).*nu_p(:,2)./norm_ep.^p).*REALIZED_SERIES(:,2));
sens(1,3)=(p-1)*T^(-1)*sum((nu_ptau(:,5)+nu_ptau(:,2))./norm_ep-taue.*nu_p(:,1).*nu_p(:,3)./norm_ep.^p);
sensy(1,3)=(p-1)*T^(-1)*sum(((nu_ptau(:,5)+nu_ptau(:,2))./norm_ep-taue.*nu_p(:,1).*nu_p(:,3)./norm_ep.^p).*REALIZED_SERIES(:,1));
sensy(3,1)=(p-1)*T^(-1)*sum(((nu_ptau(:,5)+nu_ptau(:,2))./norm_ep-taue.*nu_p(:,1).*nu_p(:,3)./norm_ep.^p).*REALIZED_SERIES(:,3));
sens(2,3)=(p-1)*T^(-1)*sum((nu_ptau(:,6)+nu_ptau(:,4))./norm_ep-taue.*nu_p(:,2).*nu_p(:,3)./norm_ep.^p);
sensy(2,3)=(p-1)*T^(-1)*sum(((nu_ptau(:,6)+nu_ptau(:,4))./norm_ep-taue.*nu_p(:,2).*nu_p(:,3)./norm_ep.^p).*REALIZED_SERIES(:,2));
sensy(3,2)=(p-1)*T^(-1)*sum(((nu_ptau(:,6)+nu_ptau(:,4))./norm_ep-taue.*nu_p(:,2).*nu_p(:,3)./norm_ep.^p).*REALIZED_SERIES(:,3));

for k=1:N
sens(k,k)=(p-1)*T^(-1)*(sum(p*norm_p(:,k).^(p-2))+sum(2*nu_ptau(:,k)./norm_ep+taue./norm_ep.*((p-1)*norm_p(:,k).^(p-2)-norm_p(:,k).^(2*(p-1))./norm_ep.^p)));
sensy(k,k)=(p-1)*T^(-1)*(sum(p*norm_p(:,k).^(p-2).*REALIZED_SERIES(:,k))+sum((2*nu_ptau(:,k)./norm_ep+taue./norm_ep.*((p-1)*norm_p(:,k).^(p-2)-norm_p(:,k).^(2*(p-1))./norm_ep.^p)).*REALIZED_SERIES(:,k)));
end

